## INTRODUCTION
The QR Generator module enables the generation of QR codes and provides a self-hosting service.

# THIRD PARTY LIBRARIES
- https://packagist.org/packages/endroid/qr-code 
- https://packagist.org/packages/setasign/fpdf

## REQUIREMENTS
 - PHP ^8.3
 - Drupal Core ^10 || ^11

## DEPENDENCIES 
 - rest Module (Drupal)
 - endroid/qr-code (3rd party)
 - setasign/fpdf (3rd party)

## FEATURES
- Generate and export QR codes in multiple formats: PNG, SVG, and PDF.
- Export form available at: /admin/qr-code/export/{entityId} – easily generate QR codes for specific entities.
- Set an expiration date for QR codes to control their validity and access.

## Installation
1. Download the QR-Code Generator Library : "composer require endroid/qr-code" 
2. Downlaod the FDPF Library : "composer require setasign/fpdf:^1.8" 
3. Install the module.
4. Enjoy.

## How to use:
How to use:
1. Go to Content -> QR Codes.
2. Add a QR code.
3. Go to /admin/content/qr-code.
4. Click on 'Export'.
5. Select your export size, margin, and export type.
6. Submit the form.

## MAINTAINERS
- Lalyo Boyadzhiev (enemyssss) 
- https://www.drupal.org/u/enemyssss
- https://github.com/enemyssss

